const discord = require("discord.js");
const { MessageEmbed } = require("discord.js");
const config = require("../../config");
const guildDB = require("../../mongo/guildDB");
module.exports = {
        name: "greetmsg",
        description: "Toogles-Greet-System",
        usage: ``,
        category: "utility",
        aliases: ["greet"],
    run: async (client, message, args) => {
message.delete().catch(() => {});

    if (!message.member.hasPermission("ADMINISTRATOR"))
      return message.channel.send(`:x: Fehlende Berechtigung`)

    let db = await greetDB.find({ guild: message.guild.id });

    if (!args[0])
      return message.channel.send(
        new discord.MessageEmbed().setColor("00FFFF").setDescription(
          `<:GlobalCross:772424814824390677> **Sie haben keine neuen Beitrittsnachrichten bereitgestellt. Weitere Hilfe finden Sie unten.**

**__Variablen, die in Begrüßungsnachrichten verwendet werden können__**
\`[member:mention]\` **=>** \`pings member\`
\`[gilde:name]\` **=>** \`zeigt den Gildennamen an\`
\`[guild:membercount]\` **=>** \`zeigt die Anzahl der Gildenmitglieder an\`

**__Aktuelle Begrüßungsnachricht__**
${db.Message || "[member:mention] Willkommen bei [guild:name]"}
`
        )
      );
    if (!db) {
      let newDB = new guildDB({
        guild: message.guild.id,
        message: args.slice(0).join(" "),
        channel: null,
      });
      await newDB.save();
      let m = await message.channel.send(
        new discord.MessageEmbed()
          .setDescription(`**Geänderte Begrüßungsnachricht**`)
          .setColor("00FFFF")
      );
      setTimeout(() => {
        m.delete().catch(() => {});
      }, 3000);
    } else {
      db.Message = args.slice(0).join(" ");
      await db.save();
      let m = await message.channel.send(
        new discord.MessageEmbed()
          .setDescription(`**Geänderte Begrüßungsnachricht**`)
          .setColor("00FFFF")
      );
      setTimeout(() => {
        m.delete().catch(() => {});
      }, 3000);
    }
      }
};